# GimpUi.SpinScale.set_constrain_drag

    @accepts(GimpUi.SpinScale, bool)
    @returns(none)
    def set_constrain_drag(self, constrain):
        # Python wrapper for gimp_spin_scale_set_constrain_drag()

If @constrain_drag is TRUE, dragging the scale with the pointer will only result into integer values. It will still possible to set the scale to fractional values (if the spin scale "digits" is above 0) for instance with keyboard edit.

self

  the GimpUi.SpinScale.

constrain

  whether constraining to integer values when dragging with pointer.